Subject: More thoughts on the Proto process

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 30 Mar 2007 13:57:33 +0100

Hi,

Further to the WG lunch in Prague (thanks Margaret) I wanted to add/clarify 
a couple of points.

1. Understanding the status of the I-Ds you are shepherding
The tendency is to look at your WG I-Ds in the status tracker at 
https://datatracker.ietf.org/public/pidtracker.cgi
This is good because it gives you the flow of event, but it is not so clear 
what the current status is.
But there is a link at the top of the details page for each I-D to "IESG 
Evaluation Record" and the table there shows you the current status.
Maybe finding this is obvious to most of you, but it wasn't to me.

2. Should the shepherd be explicitly not an author or editor?
I am puzzled by this restriction.
AFAICS the shepherd's job is entirely administrative and editorial with the 
only subjectivity present in the Proto Write-up.
As agreed at the lunch, the Proto Write-up should be posted to the WG 
mailing list.
So what is the issue?

3. Tracking Discuss and Comment resolution
IM(NS)HO it is critical that the agreed resolution of Discusses and Comments 
is recorded. It is not enough to know that everyone has agreed that the 
updated I-D is OK and contains the resolution, and that the Discusses have 
been withdrawn. We MUST have a record of what the resolution was.
It was suggested that once the Proto Shepherds have write access to the I-D 
Tracker this will be OK, and that is fine. But until then, can the ADs who 
raise Discusses or Comments also please take responsibility for adding notes 
to the Tracker to document the resolution, not just the fact of the 
resolution.

4. Copying the Shepherd on all email related to the I-D
One for the Tools Team, and for coordination with IANA and the RFC Editor.
At the moment I don't think the shepherd gets copied on emails from IANA to 
the document editor, or from the RFC Editor (for example AUTH48).

5. Working out who the shepherd is for an I-D
I think someone said that you can work this out from the I-D Tracker.
I can't find this anywhere obvious.
I can see "Responsible AD" on the Tracker page that lists all of the I-Ds 
for a WG and on the details page for each I-D.
I can see comments like "Shepherding AD has been changed to Ross Callon from 
Alex Zinin" in the details for a specific I-D in the Tracker.
There doesn't seem to be anything in the IESG evaluation record.
Needs to be fixed.

Cheers,
Adrian

---

From: Andy Bierman <[email-masked]>
Date: Fri, 30 Mar 2007 07:01:42 -0700

> Hi,

IMO, this is more than an administrative job.
Anybody with an obvious conflict of interest (e.g., co-author)
must not be the shepherd.  It should be the WG Chair because
issues (DISCUSS) are likely to require the WG understand and
approve any edits to clear the issue.  Direct communication
with both the IESG and the WG is important for this job.

Andy

> Further to the WG lunch in Prague (thanks Margaret) I wanted to 
> add/clarify a couple of points.
> 
> This is good because it gives you the flow of event, but it is not so 
> clear what the current status is.
> AFAICS the shepherd's job is entirely administrative and editorial with 
> the only subjectivity present in the Proto Write-up.
> IM(NS)HO it is critical that the agreed resolution of Discusses and 
> Comments is recorded. It is not enough to know that everyone has agreed 
> that the updated I-D is OK and contains the resolution, and that the 
> Discusses have been withdrawn. We MUST have a record of what the 
> resolution was.
> It was suggested that once the Proto Shepherds have write access to the 
> I-D Tracker this will be OK, and that is fine. But until then, can the 
> ADs who raise Discusses or Comments also please take responsibility for 
> adding notes to the Tracker to document the resolution, not just the 
> fact of the resolution.
> 
> At the moment I don't think the shepherd gets copied on emails from IANA 
> to the document editor, or from the RFC Editor (for example AUTH48).
> 
> I can see "Responsible AD" on the Tracker page that lists all of the 
> I-Ds for a WG and on the details page for each I-D.
> I can see comments like "Shepherding AD has been changed to Ross Callon 
> from Alex Zinin" in the details for a specific I-D in the Tracker.

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 30 Mar 2007 18:17:57 +0100

Andy,

I would prefer to not read between the lines of what you are saying.

How is the conflict of interest different during shepherding compared with 
editing?

Are you assuming that WG chairs are not authors or editors? (This desire 
often gets bent by the practicalities of WG operation)

Adrian

---

From: Andy Bierman <[email-masked]>
Date: Fri, 30 Mar 2007 11:07:02 -0700

Adrian Farrel wrote:
> How is the conflict of interest different during shepherding compared 
> with editing?
> 

I am reflecting the decisions made for the shepherding process.
I happen to agree with the policy as it is defined.
The WG Chairs Training Lunch explained the process rather well actually.

IMO, the Chair or co-Chair should never be the author or editor
or otherwise listed on the front page of a standards track document
being produced by their WG.

If that is the case, then that person should be able to find somebody
else in the entire IETF to act as shepherd for their document.
(If not, perhaps it isn't worth publishing anyway ;-)

Andy

>>> AFAICS the shepherd's job is entirely administrative and editorial 
>>> with the only subjectivity present in the Proto Write-up.

---

From: Jeffrey Hutzelman <[email-masked]>
Date: Fri, 30 Mar 2007 14:44:25 -0400

> being produced by their WG.

It's somewhat common to have cases where someone is both a documenet 
author/editor and a co-chair in the same working group, especially when 
someone becomes co-chair after being active in the group for a while.  This 
is not normally a serious problem; that person simply cannot act in the 
chair role with respect to that document.

Similarly, a document author should never act as shepherd for his own 
document, because part of the shepherd's role is to mediate between the 
document authors and those making comments.  It is impossible to mediate 
between two parties if you _are_ one of those parties.

-- Jeffrey T. Hutzelman (N3NHS) <[email-masked]>
   Sr. Research Systems Programmer
   School of Computer Science - Research Computing Facility
   Carnegie Mellon University - Pittsburgh, PA

---

From: Fred Baker <[email-masked]>
Date: Fri, 30 Mar 2007 13:49:40 -0700

On Mar 30, 2007, at 11:44 AM, Jeffrey Hutzelman wrote:

> It's somewhat common to have cases where someone is both a  
> documenet author/editor and a co-chair in the same working group,  
> especially when someone becomes co-chair after being active in the  
> group for a while.  This is not normally a serious problem; that  
> person simply cannot act in the chair role with respect to that  
> document.

yes. That said, Andy's comment holds a lot of water IMHO. If you're  
not the shepherd wrt your own document, someone else presumably is.